Get value for an offset

- « ArrayIterator::offsetExists

- ArrayIterator::offsetSet »

- PHP Manual
- ArrayIterator
- Get value for an offset

# ArrayIterator::offsetGet

(PHP 5, PHP 7, PHP 8)

ArrayIterator::offsetGet — Get value for an offset

### Description

public ArrayIterator::offsetGet(mixed `$key`): mixed

Gets the value from the provided offset.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`key`

  The offset to get the value from.

### Return Values

The value at offset `key`.

### See Also

- ArrayIterator::offsetSet() - Set value for an offset
- ArrayIterator::offsetUnset() - Unset value for an offset